# Uses of Interface
javax.help.HelpModel

Packages that use HelpModel
Package
Description
com.sun.java.help.impl
Implementation classes for JavaHelp.
javax.help
Supports presentation of online documentation with both content and contextual views of this information.
javax.help.plaf.basic

## Uses of HelpModel in com.sun.java.help.impl

Methods in com.sun.java.help.impl that return HelpModel
Modifier and Type
Method
Description
`HelpModel`
JHelpPrintHandler.`getHelpModel()`
Getter for property model.
Methods in com.sun.java.help.impl with parameters of type HelpModel
Modifier and Type
Method
Description
`void`
JHelpPrintHandler.`setHelpModel(HelpModel helpModel)`

## Uses of HelpModel in javax.help

Subinterfaces of HelpModel in javax.help
Modifier and Type
Interface
Description
`interface`
`TextHelpModel`
The interface to a HelpModel that manipulates text.
Classes in javax.help that implement HelpModel
Modifier and Type
Class
Description
`class`
`DefaultHelpModel`
This class implements the javax.help.HelpModel API and notifies the JHelpModel listeners when changes occur.
Fields in javax.help declared as HelpModel
Modifier and Type
Field
Description
`protected HelpModel`
DefaultHelpHistoryModel.`helpModel`
`protected HelpModel`
JHelpNavigator.`helpModel`
Methods in javax.help that return HelpModel
Modifier and Type
Method
Description
`protected HelpModel`
DefaultHelpHistoryModel.`getModel()`
Returns HelpModel
`HelpModel`
JHelpNavigator.`getModel()`
Returns the HelpModel that provides the data.
Methods in javax.help with parameters of type HelpModel
Modifier and Type
Method
Description
`Component`
FavoritesView.`createNavigator(HelpModel model)`
create a navigator for a given model.
`Component`
GlossaryView.`createNavigator(HelpModel model)`
create a navigator for a given model
`Component`
IndexView.`createNavigator(HelpModel model)`
create a navigator for a given model.
`abstract Component`
NavigatorView.`createNavigator(HelpModel model)`
Creates a navigator for a given model.
`Component`
SearchView.`createNavigator(HelpModel model)`
Creates a navigator for a given model.
`Component`
TOCView.`createNavigator(HelpModel model)`
Creates a navigator for a given model.
`void`
DefaultHelpHistoryModel.`setHelpModel(HelpModel model)`
Sets a new HelpModel
`void`
HelpHistoryModel.`setHelpModel(HelpModel model)`
Sets the HelpModel
`void`
JHelpNavigator.`setModel(HelpModel newModel)`
Sets the HelpModel that provides the data.
Constructors in javax.help with parameters of type HelpModel
Modifier
Constructor
Description
``
`JHelpFavoritesNavigator(NavigatorView view, HelpModel model)`
Creates a Index navigator.
``
`JHelpGlossaryNavigator(NavigatorView info, HelpModel model)`
Creates JHelpGlossaryNavigator from given GlossaryView and HelpModel
``
`JHelpIndexNavigator(NavigatorView view, HelpModel model)`
Creates a Index navigator.
``
`JHelpNavigator(NavigatorView view, HelpModel model)`
Constructs a JHelpNavigator from some view and with a preexisting model and in default initial state of navigation entries.
``
`JHelpSearchNavigator(NavigatorView view, HelpModel model)`
Creates a Search navigator.
``
`JHelpTOCNavigator(NavigatorView view, HelpModel model)`
Creates a TOC navigator.

## Uses of HelpModel in javax.help.plaf.basic

Methods in javax.help.plaf.basic that return HelpModel
Modifier and Type
Method
Description
`protected HelpModel`
BasicHelpUI.`getModel()`